Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 1308183005: Introduce WebTaskRunner Patch 2/5 (Closed)

Created:
3 years, 9 months ago by alex clarke (OOO till 29th)
Modified:
3 years, 9 months ago
Reviewers:
Mike West, Sami
CC:
chromium-reviews, darin-cc_chromium.org, jam, jochen+watch_chromium.org, mkwst+moarreviews-shell_chromium.org, mlamouri+watch-content_chromium.org, scheduler-bugs_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Introduce WebTaskRunner Patch 2/5 Initial Chrome side patch to wire up the new blink::WebTaskRunner and the WebScheduler and WebThread accessors. Patch 1: https://codereview.chromium.org/1325073002 Patch 3: https://codereview.chromium.org/1303153005 Patch 4: https://codereview.chromium.org/1309423004 Patch 5: https://codereview.chromium.org/1310253009 BUG=510398, 497761 Committed: https://crrev.com/8b96c1d0af0c6c9257dd534974d5089381675978 Cr-Commit-Position: refs/heads/master@{#347136}

Patch Set 1 #

Patch Set 2 : s/defaultTaskRunner/taskRunner #

Patch Set 3 : Missed one rename #

Total comments: 8

Patch Set 4 : Final tweaks #

Unified diffs Side-by-side diffs Delta from patch set Stats (+189 lines, -28 lines) Patch
M components/scheduler/child/web_scheduler_impl.h View 3 chunks +13 lines, -1 line 0 comments Download
M components/scheduler/child/web_scheduler_impl.cc View 4 chunks +24 lines, -1 line 0 comments Download
A components/scheduler/child/web_task_runner_impl.h View 1 2 3 1 chunk +50 lines, -0 lines 0 comments Download
A components/scheduler/child/web_task_runner_impl.cc View 1 chunk +50 lines, -0 lines 0 comments Download
M components/scheduler/child/webthread_impl_for_worker_scheduler.h View 1 2 3 3 chunks +3 lines, -0 lines 0 comments Download
M components/scheduler/child/webthread_impl_for_worker_scheduler.cc View 1 2 3 3 chunks +6 lines, -0 lines 0 comments Download
M components/scheduler/child/webthread_impl_for_worker_scheduler_unittest.cc View 1 7 chunks +12 lines, -9 lines 0 comments Download
M components/scheduler/renderer/webthread_impl_for_renderer_scheduler.h View 1 2 3 3 chunks +3 lines, -0 lines 0 comments Download
M components/scheduler/renderer/webthread_impl_for_renderer_scheduler.cc View 1 2 3 3 chunks +7 lines, -2 lines 0 comments Download
M components/scheduler/renderer/webthread_impl_for_renderer_scheduler_unittest.cc View 1 7 chunks +12 lines, -10 lines 0 comments Download
M components/scheduler/scheduler.gypi View 1 chunk +2 lines, -0 lines 0 comments Download
M components/test_runner/test_plugin.cc View 1 3 chunks +3 lines, -2 lines 0 comments Download
M content/shell/renderer/layout_test/blink_test_runner.cc View 1 3 chunks +4 lines, -3 lines 0 comments Download

Messages

Total messages: 20 (8 generated)
alex clarke (OOO till 29th)
3 years, 9 months ago (2015-09-02 10:58:11 UTC) #2
alex clarke (OOO till 29th)
mkwst@chromium.org: Please review changes in components/test_runner/test_plugin.cc and content/shell/renderer/layout_test/blink_test_runner.cc
3 years, 9 months ago (2015-09-02 13:34:41 UTC) #4
Sami
components/scheduler lgtm with a few nits. https://codereview.chromium.org/1308183005/diff/40001/components/scheduler/child/web_task_runner_impl.h File components/scheduler/child/web_task_runner_impl.h (right): https://codereview.chromium.org/1308183005/diff/40001/components/scheduler/child/web_task_runner_impl.h#newcode20 components/scheduler/child/web_task_runner_impl.h:20: class FrameQueueHolder; Unused? ...
3 years, 9 months ago (2015-09-02 14:55:53 UTC) #5
alex clarke (OOO till 29th)
https://codereview.chromium.org/1308183005/diff/40001/components/scheduler/child/web_task_runner_impl.h File components/scheduler/child/web_task_runner_impl.h (right): https://codereview.chromium.org/1308183005/diff/40001/components/scheduler/child/web_task_runner_impl.h#newcode20 components/scheduler/child/web_task_runner_impl.h:20: class FrameQueueHolder; On 2015/09/02 14:55:53, Sami wrote: > Unused? ...
3 years, 9 months ago (2015-09-02 15:49:33 UTC) #6
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1308183005/50001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1308183005/50001
3 years, 9 months ago (2015-09-02 16:54:16 UTC) #8
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/50007) linux_chromium_compile_dbg_32_ng on ...
3 years, 9 months ago (2015-09-02 17:06:54 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1308183005/50001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1308183005/50001
3 years, 9 months ago (2015-09-02 17:09:48 UTC) #12
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_chromium_gn_rel on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_gn_rel/builds/129733) linux_chromium_rel_ng on ...
3 years, 9 months ago (2015-09-02 17:11:20 UTC) #14
Mike West
components/test_runner and content/shell LGTM
3 years, 9 months ago (2015-09-03 08:20:27 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1308183005/50001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1308183005/50001
3 years, 9 months ago (2015-09-03 09:33:43 UTC) #18
commit-bot: I haz the power
Committed patchset #4 (id:50001)
3 years, 9 months ago (2015-09-03 11:15:51 UTC) #19
commit-bot: I haz the power
3 years, 9 months ago (2015-09-03 11:16:25 UTC) #20
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/8b96c1d0af0c6c9257dd534974d5089381675978
Cr-Commit-Position: refs/heads/master@{#347136}

Powered by Google App Engine
This is Rietveld 408576698